AOZ Studio Beta - Bug #163

AOZ application locks up on second Swap.
02/08/2020 11:14 PM - Brian Flanagan

Status: Feedback Start date: 02/08/2020
Priority: High Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 2:00 hours
Target version: 0.9.5

Affected version: Beta RC3

Description

Example The following code locks up on the Load of Faces_B.abk.
The same code works just fine in AMOS Professional.

The code below is based on Help_78 from AMOSPro_Examples:
#manifest: "amiga"

Load "AMOSPro_examples:0Objects/Faces_A.abk"
Print "Bank A loaded."
List Bank

Print "Now swapping 1 & 2"
Bank Swap 1,2
List Bank

Load "AMOSPro_examples:0Objects/Faces_B.abk"
Print "Bank B loaded."
List Bank

Print "Now swapping 1 & 3"
Bank Swap 1,3
List Bank

Load "AMOSPro_examples:0Objects/Faces_C.abk"
Print "All banks loaded."
List Bank

History

#1 - 02/21/2020 04:43 PM - Brian Flanagan
- Subject changed from AOZ application locks up on second Load (bank). to AOZ application locks up on second Swap.
- Affected version changed from 0.9.4 to 0.9.5

If | change the above example to where each bank is loaded into a particular bank, it works:
#manifest: "amiga"

Load "AMOSPro_examples:Objects/Faces_A.abk",2
Print "Bank A loaded into bank 2."
List Bank

Load "AMOSPro_examples:Objects/Faces_B.abk",3
Print "Bank B loaded into bank 3."
List Bank

Load "AMOSPro_examples:Objects/Faces_C.abk",1
Print "All banks loaded."
List Bank

After more careful testing, | determined that it wasn't the second Load causing the problem, but rather the second Swap. (I changed the bug title
accordingly.)
Load "AMOSPro_examples:0Objects/Faces_A.abk" : Rem Success
Bank Swap 1,2 : Rem Success

Load "AMOSPro_examples:0Objects/Faces_B.abk" : Rem Success
Bank Swap 1,3 : Rem FAIL!

#2 - 02/21/2020 09:40 PM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.5

The bank swap problem is corrected.

Yet, this example does not display the sprites properly: for the moment, rainbows are done by remapping colors based on their RGB values. The
rainbow is set on color 0, which is black. As the bobs are ALSO black, they are part of the rainbow, and cannot be seen. This will be corrected when |
have time to work on the renderers.

#3 - 03/06/2020 05:23 PM - Brian Flanagan
- Status changed from Resolved to Feedback

- Affected version changed from 0.9.5 to 0.9.6

This is still broken in 0.9.6. The exact same example provided above still fails on the 2nd swap.
It causes a Magician Meditation error at the 2nd swap. ( Internal error at 16:1)
Here's the problem code again:

#manifest: "amiga"

Load "AMOSPro_examples:0Objects/Faces_A.abk"

Print "Bank A loaded."

List Bank

Print "Now swapping 1 & 2"

Bank Swap 1,2

List Bank

Load "AMOSPro_examples:Objects/Faces_B.abk"

Print "Bank B loaded."

List Bank

Print "Now swapping 1 & 3"

Bank Swap 1,3 ' <-- Fails here

List Bank

Load "AMOSPro_examples:0Objects/Faces_C.abk"

Print "All banks loaded."
List Bank

#4 - 04/19/2020 08:22 AM - Brian Flanagan
- Affected version changed from 0.9.6 to 0.9.8.1

Re-tested in 0.9.8.1. Still failx.
Gets a Magician Meditation error: Internal Error at 137:47

Help_78 from AMOSPro_Examples still fails on second Bank Swap

#5 - 04/19/2020 10:29 PM - Brian Flanagan

Yes, the example in the extracted code is working, however Help_78 is still failing.
Gets a Magician Meditation error: Internal Error at 137:47

Help_78 from AMOSPro_Examples still fails on second Bank Swap

#6 - 10/05/2020 01:07 AM - Brian Flanagan

- Priority changed from Normal to High

- Estimated time set to 2:00 h
- Affected version changed from 0.9.8.1 to Beta RC3
Retested. Although my small example works now, Help_78 is still failing on the second swap.
